import type { Config } from '~/components/pub/my-ui/data-table'
import { defineAsyncComponent } from 'vue'

const action = defineAsyncComponent(() => import('~/components/pub/my-ui/data/dropdown-action-dud.vue'))

const _doctorStatus = {
  0: 'Tidak Aktif',
  1: 'Aktif',
}

export const config: Config = {
  cols: [{}, {}, { width: 50 }],

  headers: [
    [
      { label: 'Kode' },
      { label: 'Nama' },
      { label: 'Aksi' },
    ],
  ],

  keys: ['code', 'name', 'action'],

  delKeyNames: [
    { key: 'code', label: 'Kode' },
    { key: 'name', label: 'Nama' },
  ],

  parses: {},

  components: {
    action(rec, idx) {
      return {
        idx,
        rec: rec as object,
        component: action,
      }
    },
  },

  htmls: {
    patient_address(_rec) {
      return '-'
    },
  },
}
